.story-modal-open {
    overflow: hidden;
}

.story-modal {
    position: fixed;
    inset: 0;
    z-index: 1000;
    display: flex;
    justify-content: center;

    background: linear-gradient(173.84deg, #FF7628 41.94%, #CC1817 114.38%);
}

.story-modal[hidden] {
    display: none;
}

.story-modal__container {
    position: relative;
    width: 100%;
    max-width: 640px;
    height: 100dvh;
}

.story-modal__backdrop {
    position: fixed;
    inset: 0;
    z-index: -1;
}

.story-modal__backdrop .story-modal__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.story-modal__slide {
    display: flex;
    justify-content: center;
    width: 100%;
    min-height: 100dvh;
}

.story-modal__slide picture,
.story-modal__slide .story-modal__image {
    display: block;
    width: 100%;
    height: 100dvh;
}

.story-modal__slide picture img,
.story-modal__slide .story-modal__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}

.story-modal__slide[hidden] {
    display: none;
}


.story-modal__close-button{
    position: absolute;
    top: 0px;
    right: 4px;
}

.story-modal__close-button[hidden] {
    display: none !important;
}

.story-modal--hide-close .story-modal__close-button {
    display: none !important;
}
